Subject: Re: ncurses/termcap, just won't clear the screen?
From: [email-masked] (Geoffrey Noer)

21 May 1997 10:55:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Sergey Okhapkin)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Sergey Okhapkin" at May 20, 97 10:30:49 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Sergey Okhapkin wrote:
> 
> [email-masked] wrote:
> > 
> > I've just rebuilt termcap & ncurses, that went fine.  But now I'm 
> > trying to run some of the test programs that ncurses has.  And it 
> > appears that it just cannot erase the screen.  The curses is set to 
> > the top of the window, but all the text is still there.  I've tried a 
> > few different things for my TERM env variable, linux, ansi, pc-ansi, 
> > vt100,  etc.  They all behaved the same.
> 
> Is your /etc/termcap right?

With the new /etc/termcap from b18, I do an "export TERM=linux"
in bash, and then hit a control-l to clear.

Under Windows NT, the right thing happens.  Under Windows 95, however
I see the behavior [email-masked] reports where the
prompt is moved but the old text doesn't get erased.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".